Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454847 - Desktop-in-desktop Effect
Summary: Desktop-in-desktop Effect
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 06:29 UTC by Johann Amin
Modified: 2018-04-11 07:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:32:19 UTC


Attachments (Terms of Use)
xorg.conf (deleted)
2008-07-16 01:23 UTC, Johann Amin
no flags Details
Xorg.0.log (deleted)
2008-07-16 01:24 UTC, Johann Amin
no flags Details
Xorg.0.log.old (deleted)
2008-07-16 01:25 UTC, Johann Amin
no flags Details
Xorg.1.log (deleted)
2008-07-16 01:25 UTC, Johann Amin
no flags Details
Xorg.1.log.old (deleted)
2008-07-16 01:26 UTC, Johann Amin
no flags Details
Xorg.2.log (deleted)
2008-07-16 01:26 UTC, Johann Amin
no flags Details
Xorg.2.log.old (deleted)
2008-07-16 01:33 UTC, Johann Amin
no flags Details
Xorg.3.log (deleted)
2008-07-16 01:34 UTC, Johann Amin
no flags Details
Xorg.3.log.old (deleted)
2008-07-16 01:34 UTC, Johann Amin
no flags Details
Xorg.4.log (deleted)
2008-07-16 01:35 UTC, Johann Amin
no flags Details
Xorg.4.log.old (deleted)
2008-07-16 01:35 UTC, Johann Amin
no flags Details
Xorg.5.log (deleted)
2008-07-16 01:37 UTC, Johann Amin
no flags Details
Xorg.5.log.old (deleted)
2008-07-16 01:38 UTC, Johann Amin
no flags Details

Description Johann Amin 2008-07-10 06:29:23 UTC
Description of problem:
I just did an update of all available packages. Rebooting my computer after the
updated shows me a "desktop-in-desktop" effect. This seems like a relapse of bug
427332 that I filed back in January. Checking in /var/log/messages shows the
xorg packages below being updated.

yum(yumex): Updated: xorg-x11-drv-evdev.i386 2.0.1-1.fc9
yum(yumex): Updated: xorg-x11-drv-glint.i386 1.2.1-1.fc9
yum(yumex): Updated: xorg-x11-drv-i810.i386 2.3.2-2.fc9
yum(yumex): Updated: xorg-x11-drv-mga.i386 1.4.9-1.fc9
yum(yumex): Updated: xorg-x11-drv-nv.i386 2.1.10-1.fc9
yum(yumex): Updated: xorg-x11-drv-vesa.i386 2.0.0-1.fc9
yum(yumex): Updated: xorg-x11-server-common.i386 1.4.99.905-1.20080701.fc9
yum(yumex): Updated: xorg-x11-server-Xorg.i386 1.4.99.905-1.20080701.fc9
yum(yumex): Updated: xorg-x11-utils.i386 7.4-1.fc9

Since I'm using a Radeon card, the only components that would cause me any
problems would be xorg-x11-server-Xorg or xorg-x11-server-common. Everything was
fine before the update.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. The moment you get into X you can see the problem.

  
Actual results:
1024x768 maximum resolution selectable. Manual editing of xorg.conf file results
in a "desktop-in-desktop" effect where a 1024x768 "desktop" exists inside a
1440x900 desktop.


Expected results:
system-config-display should give me the option of selecting 1440x900. Desktop
should display at 1440x900 without the additional "virtual desktop" in it.


Additional info:
All the while I have been using the fix given back in bug 427332 of using Option
"PanelSize" "1440x900" in my xorg.conf file. Without this option X would only be
able to display in 800x600 max.

Comment 1 Matěj Cepl 2008-07-15 16:41:09 UTC
Still, could you please attach your X server config file (/etc/X11/xorg.conf)
and X server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Johann Amin 2008-07-16 01:23:30 UTC
Created attachment 311903 [details]
xorg.conf

Comment 3 Johann Amin 2008-07-16 01:24:43 UTC
Created attachment 311904 [details]
Xorg.0.log

Comment 4 Johann Amin 2008-07-16 01:25:15 UTC
Created attachment 311905 [details]
Xorg.0.log.old

Comment 5 Johann Amin 2008-07-16 01:25:42 UTC
Created attachment 311906 [details]
Xorg.1.log

Comment 6 Johann Amin 2008-07-16 01:26:05 UTC
Created attachment 311907 [details]
Xorg.1.log.old

Comment 7 Johann Amin 2008-07-16 01:26:26 UTC
Created attachment 311908 [details]
Xorg.2.log

Comment 8 Johann Amin 2008-07-16 01:33:48 UTC
Created attachment 311909 [details]
Xorg.2.log.old

Comment 9 Johann Amin 2008-07-16 01:34:10 UTC
Created attachment 311910 [details]
Xorg.3.log

Comment 10 Johann Amin 2008-07-16 01:34:47 UTC
Created attachment 311911 [details]
Xorg.3.log.old

Comment 11 Johann Amin 2008-07-16 01:35:09 UTC
Created attachment 311912 [details]
Xorg.4.log

Comment 12 Johann Amin 2008-07-16 01:35:32 UTC
Created attachment 311913 [details]
Xorg.4.log.old

Comment 13 Johann Amin 2008-07-16 01:37:42 UTC
Created attachment 311914 [details]
Xorg.5.log

Comment 14 Johann Amin 2008-07-16 01:38:02 UTC
Created attachment 311915 [details]
Xorg.5.log.old

Comment 15 Samuel Sieb 2008-12-23 05:33:42 UTC
duplicate or related to bug 436243?

Comment 16 Bug Zapper 2009-06-10 02:01:04 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2009-07-14 17:32:19 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.